/*
 * px *
Copyright (c) 2008 Shawn Hladky

Permission is hereby granted, free of charge, to any person obtaining a copy of this software 
and associated documentation files (the "Software"), to deal in the Software without 
restriction, including without limitation the rights to use, copy, modify, merge, publish, 
distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the 
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or 
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING 
BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
 */

#ifndef __pxheaders_h
#define __pxheaders_h

// meta-header for px

// p4api headers
#include "clientapi.h"
#include "error.h"
#include "enviro.h"
#include "options.h"
#include "errorlog.h"
#include "errornum.h"
#include "hostenv.h"
#include "ident.h"
#include "i18napi.h"
#include "debug.h"
#include "pathsys.h"
#include "strarray.h"
#include "vararray.h"
#include "strtable.h"
#include "strops.h"

// STL classes
#include <set>
#include <list>
#include <map>

// include windows.h for colorful console on windows
#ifdef OS_NT
#include "windows.h"
// SetPort is a macro buried somewhere in windows.h, which conflicts with ClientApi::SetPort
#undef SetPort
#endif

// include common headers from our project
#include "pxclient.h"
#include "commands/pxbasecommand.h"
#include "commands/passthroughclientuser.h"


#endif